Bug 526235 - Received request to terminate due to CPU overload
Summary: Received request to terminate due to CPU overload
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 12:19 UTC by Mark Watts
Modified: 2009-11-23 13:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-23 13:06:15 UTC


Attachments (Terms of Use)

Description Mark Watts 2009-09-29 12:19:53 UTC
Fedora 10 i386, updated as of 29/09/2009
4GB Ram, 2 x 2.8GHz Xeon HT's

# lspci | grep audio
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)

$ uname -r
2.6.27.29-170.2.78.fc10.i686.PAE

$ rpm -q rhythmbox
rhythmbox-0.11.6-22.r6096.fc10.i386

$ rpm -qa | grep pulseaudio
pulseaudio-utils-0.9.14-3.fc10.i386
pulseaudio-core-libs-0.9.14-3.fc10.i386
pulseaudio-module-gconf-0.9.14-3.fc10.i386
wine-pulseaudio-1.1.23-1.fc10.i386
pulseaudio-libs-glib2-0.9.14-3.fc10.i386
alsa-plugins-pulseaudio-1.0.21-3.fc10.i386
pulseaudio-libs-0.9.14-3.fc10.i386
pulseaudio-module-x11-0.9.14-3.fc10.i386
xine-lib-pulseaudio-1.1.16.3-2.fc10.i386
pulseaudio-0.9.14-3.fc10.i386
pulseaudio-esound-compat-0.9.14-3.fc10.i386
pulseaudio-module-jack-0.9.14-3.fc10.i386

$ rpm -q firefox
firefox-3.0.14-1.fc10.i386

$ rpm -q flash-plugin
flash-plugin-10.0.32.18-release.i386

Steps to cause segfault:

1) iPod connected via USB, playing music (AAC/MP3) happilly for hours.
2) Open Firefox, browse to flash video http://failblog.org/2009/09/28/bike-jump-fail-2/
NB: This is safe for work (its a guy crashing his push bike).

Video starts playing.
Music keeps playing in rhythmbox, but starts stuttering.
Eventually Rhythmbox freezes with a segfault in dmesg.
Killing and restarting rhythmbox allows musing playing to recommence.

The following are several separate attempts to play the same video.
NB: YouTube flash videos don't seem to trigger this issue.

Sep 29 12:47:18 mwatts pulseaudio[28994]: cpulimit.c: Received request to terminate due to CPU overload.
Sep 29 12:47:18 mwatts kernel: pulseaudio[28994]: segfault at e85898 ip 00e85898 sp bfcbb21c error 14 in libgdbm.so.2.0.0[4e93000+6000]
Sep 29 12:48:14 mwatts pulseaudio[25870]: source.c: Assertion 'PA_SOURCE_IS_OPENED(s->thread_info.state)' failed at pulsecore/source.c:428, function pa_source_post(). Aborting.
Sep 29 12:50:17 mwatts pulseaudio[25946]: pid.c: Stale PID file, overwriting.

Sep 29 12:57:25 mwatts pulseaudio[25946]: cpulimit.c: Received request to terminate due to CPU overload.
Sep 29 12:57:25 mwatts kernel: pulseaudio[25946]: segfault at 11e898 ip 0011e898 sp bfb8047c error 14 in libsndfile.so.1.0.17[204000+5d000]
Sep 29 12:59:34 mwatts pulseaudio[26091]: pid.c: Stale PID file, overwriting.

In this case, the video has actually finished playing but the browser window has been left open for some time.

Sep 29 13:13:01 mwatts pulseaudio[26091]: cpulimit.c: Received request to terminate due to CPU overload.
Sep 29 13:13:01 mwatts kernel: pulseaudio[26091]: segfault at 519898 ip 00519898 sp bfda3a7c error 14 in libnss_files-2.9.so[775000+b000]
Sep 29 13:17:49 mwatts pulseaudio[26377]: pid.c: Stale PID file, overwriting.

Comment 1 Lennart Poettering 2009-10-14 22:16:11 UTC
Uh, may I suggest updating to F11?

Comment 2 Adam Williamson 2009-10-20 20:04:46 UTC
to expand, F10 goes end of life next month, and unfortunately we don't have enough Lennarts to go around, so F11 and rawhide bugs are getting all the priority :(

if you can reproduce with F11 or F12, then we can bump the bug to one of those releases. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Adam Huffman 2009-10-26 15:11:48 UTC
I'm seeing something similar on an F11 box.  I added my details to https://bugzilla.redhat.com/show_bug.cgi?id=506487 but was asked to report it separately.

Here are some extra messages not listed in that other bug:

W: ratelimit.c: 45379 events suppressed
W: ratelimit.c: 32257 events suppressed
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: asyncq.c: q overrun, queuing locally
W: ratelimit.c: 94979 events suppressed
Soft CPU time limit exhausted, terminating.
E: cpulimit.c: Received request to terminate due to CPU overload.

Comment 4 Lennart Poettering 2009-10-26 18:31:34 UTC
Adam, please do not hijack bugs.

Comment 5 Adam Huffman 2009-10-26 19:08:14 UTC
Okay - I thought people were encouraged to add to existing bugs rather than create yet more.  It seems there's no way of keeping everyone happy...

Comment 6 Adam Williamson 2009-10-27 01:28:53 UTC
the point here is that the message 'Received request to terminate due to CPU overload. ' does not indicate you have the same problem as the initial reporter, I believe - right, Lennart?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Adam Huffman 2009-10-27 08:17:18 UTC
I reported a separate bug and it turned out to be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=501769

Comment 8 Bug Zapper 2009-11-18 12:16:00 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.